package de.ivu.elect.presentation.email.menu;

import javax.inject.Inject;

import de.ivu.elect.business.email.entity.EmailLayoutMeta;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractEmailLayoutMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private EmailLayoutMeta emailLayoutMeta;

  public AbstractEmailLayoutMenuItemEntry() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(getUseCasePermission());
  }

  protected abstract UseCasePermission getUseCasePermission();

  @Override
  public boolean isDisabledInternal() {
    return false;
  }

  protected EmailLayoutMeta getMeta() {
    return emailLayoutMeta;
  }
}
